# CheckoutsList

> Page through storefront checkouts with a condition and sort. Read access, orders toolset, MCP tool list_checkouts.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `after` | `Cursor` | no | Opaque cursor from `pageInfo.endCursor` |  |
| `condition` | `CheckoutCondition` | no | Input object, below |  |
| `first` | `Int!` | yes | 32-bit integer. MCP tools send `50` when it is left out |  |
| `orderBy` | `[CheckoutOrderBy!]` | no | One of 21 values, see [CheckoutOrderBy](https://developer.missin.co.uk/reference/input-types.md#checkoutorderby) | The method to use when ordering `Checkout`. |

## Input types

### CheckoutCondition

A condition to be used against `Checkout` object types. All fields are tested
for equality and combined with a logical ‘and.’

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `connectionId` | `UUID` | no |  | Checks for equality with the object’s `connectionId` field. |
| `customerId` | `UUID` | no |  | Checks for equality with the object’s `customerId` field. |
| `customerRef` | `String` | no |  | Checks for equality with the object’s `customerRef` field. |
| `externalRef` | `String` | no |  | Checks for equality with the object’s `externalRef` field. |
| `formResponseId` | `UUID` | no |  | Checks for equality with the object’s `formResponseId` field. |
| `orderId` | `UUID` | no |  | Checks for equality with the object’s `orderId` field. |
| `partnerId` | `UUID` | no |  | Checks for equality with the object’s `partnerId` field. |
| `providerUpdatedAt` | `Datetime` | no | ISO 8601 with a zone, e.g. `2026-01-01T00:00:00Z` | Checks for equality with the object’s `providerUpdatedAt` field. |
| `rowId` | `UUID` | no |  | Checks for equality with the object’s `rowId` field. |
| `stage` | `CheckoutStage` | no | One of `CART`, `CHECKOUT` | Checks for equality with the object’s `stage` field. |
| `startedDay` | `Date` | no | ISO 8601 date, `YYYY-MM-DD` | Checks for equality with the object’s `startedDay` field. |
| `status` | `CheckoutStatus` | no | One of `ABANDONED`, `CONVERTED`, `OPEN` | Checks for equality with the object’s `status` field. |
| `workspaceId` | `UUID` | no |  | Checks for equality with the object’s `workspaceId` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CheckoutsList","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"cb37090004e0334d79fd594107723360d3ee8b4a7df23e22618d1a5b3aa8ace3"}}}'
```

## Document

```graphql
query CheckoutsList($after: Cursor, $condition: CheckoutCondition, $first: Int!, $orderBy: [CheckoutOrderBy!]) { __typename allCheckouts( first: $first after: $after condition: $condition orderBy: $orderBy ) { __typename nodes { __typename abandonedAt completedAt connectionByConnectionId { __typename displayName externalRef id } createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } currencyId customerByCustomerId { __typename email id } customerId customerRef discountCodeId discountCodes externalRef formResponseId hasContact id integrationSlug lineCount orderByOrderId { __typename externalRef id orderNumber rowId } orderId originRefs partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } partnerId providerUpdatedAt recoveryUrl rowId stage startedAt status subtotalPrice totalDiscounts totalPrice totalTax ... on CheckoutShopify { __typename cartToken checkoutToken } ... on CheckoutStripe { __typename clientReferenceId expiresAt invoiceId livemode mode paymentIntentId paymentLinkId recoveredSessionId subscriptionId } } pageInfo { __typename endCursor hasNextPage } totalCount } }
```

Source: https://developer.missin.co.uk/reference/orders/checkouts-list
